import { Oracle as ORACLE } from './oracle/index.js';
const DBInstanceMap = {
    ORACLE,
};
class DBConnector {
    constructor() {
        this.instance = ORACLE;
        const { DATABASE } = process.env;
        if (DATABASE && DATABASE in DBInstanceMap) {
            this.instance = DBInstanceMap[DATABASE];
        }
    }
    connect(database) {
        return DBInstanceMap[database];
    }
}
const instance = new DBConnector();
export { instance as DBConnector };
export default instance;
