import fs from 'node:fs';
import { File } from '../util/index.js';
class Report {
    async preview(params, response) {
        const { REPORT_PATH } = process.env;
        if (!REPORT_PATH) {
            throw new Error('INVALID_REPORT_PATH');
        }
        const reportFile = params.fileName;
        const file = new File(reportFile, REPORT_PATH);
        await file.exists();
        response.contentType('application/pdf');
        fs.createReadStream(file.getFullPath()).pipe(response);
    }
}
const instance = new Report();
export { instance as Report };
export default instance;
