import fs from 'node:fs';
import path from 'node:path';
class StartupTasks {
    getFiltredDirs(dirs) {
        const filtredDirs = [];
        dirs.forEach((dir) => {
            if (typeof dir === 'string' && !dir.includes('<>')) {
                filtredDirs.push(dir);
            }
        });
        return filtredDirs;
    }
    async createDirs() {
        const { IMAGES_PATH, REPORT_PATH, } = process.env;
        const resizedImgPath = IMAGES_PATH ? path.join(IMAGES_PATH, 'resized') : null;
        const validDirs = this.getFiltredDirs([
            IMAGES_PATH,
            resizedImgPath,
            REPORT_PATH,
        ]);
        validDirs.forEach((dir) => {
            if (!fs.existsSync(dir)) {
                fs.mkdirSync(dir);
            }
        });
    }
    async execute() {
        await this.createDirs();
    }
}
export default new StartupTasks();
